osgTerrain Namespace Reference

## Classes

class | DisplacementMappingTechnique
class | SharedGeometry
class | GeometryPool
class | HeightFieldDrawable
class | GeometryTechnique
class | Layer
class | ImageLayer
class | ContourLayer
class | HeightFieldLayer
class | ProxyLayer
class | CompositeLayer
class | SwitchLayer
class | Locator
class | Terrain
class | TerrainNeighbours
class | TerrainTechnique
class | TileID
class | TerrainTile
class | WhiteListTileLoadedCallback
struct | ValidDataOperator
struct | ValidRange
struct | NoDataValue

## Functions

OSGTERRAIN_EXPORT const osgTerrain::Locator * | computeMasterLocator (const osgTerrain::TerrainTile *tile)
OSGTERRAIN_EXPORT void | extractSetNameAndFileName (const std::string &compoundstring, std::string &setname, std::string &filename)
OSGTERRAIN_EXPORT std::string | createCompoundSetNameAndFileName (const std::string &setname, const std::string &filename)

## Detailed Description

The osgTerrain library is a NodeKit that provides geospecifc terrain rendering support.

## Function Documentation

## computeMasterLocator()

OSGTERRAIN_EXPORT const osgTerrain::Locator * osgTerrain::computeMasterLocator | ( | const osgTerrain::TerrainTile * | tile | ) |

extern

References OSGTERRAIN_EXPORT.

## createCompoundSetNameAndFileName()

OSGTERRAIN_EXPORT std::string osgTerrain::createCompoundSetNameAndFileName | ( | const std::string & | setname,
|  | const std::string & | filename )

extern

Create a compound string in the form set:setname:filename, or just filename if setname is "".

References OSGTERRAIN_EXPORT.

Referenced by osgTerrain::Layer::getCompoundName().

## extractSetNameAndFileName()

OSGTERRAIN_EXPORT void osgTerrain::extractSetNameAndFileName | ( | const std::string & | compoundstring,
|  | std::string & | setname,
|  | std::string & | filename )

extern

Extact the setname and filename from a compound string in the from set:setname:filename". Returns a setname of "" when non set:setname: entry is present.

References OSGTERRAIN_EXPORT.